Subject: Re: How to make cygwin/bash shell work in emacs
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 2 Oct 2001 23:05:47 +0200

On Tue, 02 Oct 2001 16:52:48 -0400, Peter Buckley <[email-masked]> wrote:
> 
> One other thing- after reading cgf's comments 
> in the "~/name when home is c:/user/foo" thread, 
> I tried setting my HOME variable to /home/pbuckley, 
> a unix path. When I start emacs from "runemacs.exe" 
> it can't find my .emacs file in my home directory, 
> and ~/name and "cd" and "cd ~" don't work. But when 
> I start a bash shell, and then run "runemacs.exe", 
> emacs can find my .emacs file in my home directory 
> and ~/name and "cd" and "cd ~" work fine. Now, I 
> don't expect it to work, but I still have one problem- 
> (maybe my answer is "submit a patch") but when I do 
> "cd /cygdrive/c" in emacs, it cd's to /cygdrive/c, 
> but path completion doesn't follow me. So I can't 
> Ctrl-x-f and open the file /cygdrive/c/foo.c, because 
> Ctrl-x-f is still looking at "~/". So I am still 
> cd-ing to "c:/" so path completion follows me.
> 
> Is this expected behavior (I think so) or is there 
> something I can do to workaround it other than check 
> the source and then submit a patch. Even then, would 
> patching cygwin to deal with this even be doable/accepted, 
> or would I really have to patch emacs to get it to work?

Yes this is how it works. To overcome this there is a package
cygwin-mount.el maintained by Klaus Berndl (the last version is
from 2001-05-18) it may be found in the Cygwin mail archive:
    http://sources.redhat.com/ml/cygwin/2001-05/msg01016.html

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/